Bug 6656 - Default sort preferences ignored on advanced search
Summary: Default sort preferences ignored on advanced search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 13:59 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6656 : Fix for advanced search not respecting default sort order (1.87 KB, patch)
2011-08-29 03:36 UTC, Chris Cormack
Details | Diff | Splinter Review
my prefs (91.78 KB, image/png)
2011-08-29 11:21 UTC, Nicole C. Engard
Details
[SIGNED-OFF] Bug 6656 : Fix for advanced search not respecting default sort order (1.95 KB, patch)
2011-08-29 13:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6656 : Fix for advanced search not respecting default sort order (3.02 KB, patch)
2011-09-02 19:26 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-01 13:59:46 UTC
When you choose a default sort order in your sys preferences that sort is applied to the basic search, but is not chosen by default on the advanced search pages (both staff and opac).  The preference should control what is chosen by default everywhere.
Comment 1 Chris Cormack 2011-08-29 03:17:12 UTC
Hmm, for me it seems to be ignoring the default order everywhere, will investigate
Comment 2 Chris Cormack 2011-08-29 03:36:38 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-08-29 10:46:41 UTC
Do I need to do something special to test this? I applied the patch, changed my sort to title and did searches in staff and opac - and it was always using relevance. I then changed to author and the same thing ... it stayed searching relevance.  Don't want to fail this in case it's something to do with me forgetting a step.

Nicole
Comment 4 Chris Cormack 2011-08-29 11:02:34 UTC
Did you make sure you changed the other pref to a-z (or z-a) as well.

If you leave it title, dsc it wont work.
Comment 5 Nicole C. Engard 2011-08-29 11:21:47 UTC
Created attachment 5208 [details]
my prefs

This is what I did - and then I hit save.  I then did a search and the sort on the top right in the opac and staff client both say relevance still.  Have to head out to do training, but can put a more detailed summary together later.
Comment 6 Chris Cormack 2011-08-29 11:29:10 UTC
Yes, ascending wont work (it never has) you need a to z, or z to a for title or author.

Try changing that (note this patch does not touch that code at all, it just changes the advanced search, the default sort order has always worked only if you choose the right options, ascending/descending for numeric and a to z, z to a for alphabetical ones like title author)
Comment 7 Nicole C. Engard 2011-08-29 13:08:11 UTC
Okay - we need another bug to have asc and desc removed from the list of options if they don't work, but this patch is signed off.
Comment 8 Nicole C. Engard 2011-08-29 13:11:10 UTC
Created attachment 5209 [details] [review]
[SIGNED-OFF] Bug 6656 : Fix for advanced search not respecting default sort order
Comment 9 Ian Walls 2011-08-29 13:49:36 UTC
Template only change, easy to read, marking as Passed QA
Comment 10 Chris Cormack 2011-08-29 15:31:22 UTC
They do work, just not with title and author,they work with the numeric ones. Like total number of checkouts, date added etc.
Comment 11 Chris Cormack 2011-09-01 09:11:17 UTC
Patch pushed, please test
Comment 12 Chris Cormack 2011-09-02 19:26:13 UTC
Created attachment 5301 [details] [review]
Bug 6656 : Fix for advanced search not respecting default sort order

Rebase for 3.4.x

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 13 Chris Nighswonger 2011-10-26 18:02:15 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.